List All Applications

GEThttps://api.vobiz.ai/api/v1/Account/{authID}/Application/

This API is used to get details of all the application that have been created under your Vobiz account.

Authentication Required:

  • X-Auth-ID: Your account ID (e.g., {Auth_ID})
  • X-Auth-Token: Your account Auth Token

Parameters

Request Parameters

NameTypeDescription
limit
integerNumber of results per page (max 100). Defaults to 20.
offset
integerNumber of results to skip. Defaults to 0.

Response Example

Success Response (200 OK)
{
  "api_id": "550e8400-e29b-41d4-a716-446655440000",
  "meta": {
    "limit": 20,
    "offset": 0,
    "total_count": 45
  },
  "objects": [
    {
      "app_id": "12345678",
      "app_name": "My Voice Application",
      "answer_url": "https://example.com/answer",
      "answer_method": "POST",
      "hangup_url": "https://example.com/hangup",
      "hangup_method": "POST",
      "fallback_answer_url": "https://example.com/fallback",
      "fallback_method": "POST",
      "message_url": "https://example.com/message",
      "message_method": "POST",
      "default_number_app": false,
      "default_endpoint_app": false,
      "sub_account": null,
      "resource_uri": "/v1/Account/{Auth_ID}/Application/12345678/",
      "created_at": "2025-10-28T10:30:00Z",
      "updated_at": "2025-10-28T10:30:00Z"
    },
    {
      "app_id": "87654321",
      "app_name": "Customer Service App",
      "answer_url": "https://example.com/cs/answer",
      "answer_method": "GET",
      "hangup_url": null,
      "hangup_method": null,
      "fallback_answer_url": null,
      "fallback_method": null,
      "message_url": null,
      "message_method": null,
      "default_number_app": true,
      "default_endpoint_app": false,
      "sub_account": null,
      "resource_uri": "/v1/Account/{Auth_ID}/Application/87654321/",
      "created_at": "2025-10-27T15:20:00Z",
      "updated_at": "2025-10-28T08:15:00Z"
    }
  ]
}

cURL Example

cURL
curl -X GET "https://api.vobiz.ai/api/v1/Account/{Auth_ID}/Application/?limit=20&offset=0" \
  -H "X-Auth-ID: YOUR_AUTH_ID" \
  -H "X-Auth-Token: YOUR_AUTH_TOKEN"